Lancer le serveur en mode PRODUCTION

Default
,

Bonjour,

Lorsque je lance le server rails en mode developpement je n'ai aucun pb, par contre si j'essaye de le lancer en mode production avec la command :
#rails s -e production

Je me retrouve avec le problème suivant :
c:\ror\prolixe2019 (master -> origin)
λ rails s -e production
=> Booting Puma
=> Rails 5.2.3 application starting in production
=> Run rails server -h for more startup options
Exiting
Traceback (most recent call last):
61: from bin/rails:4:in <main>'
60: from bin/rails:4:in
require'
59: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/commands.rb:18:in <top (required)>'
58: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/command.rb:46:in
invoke'
57: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/command/base.rb:65:in perform'
56: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/thor-0.20.3/lib/thor.rb:387:in
dispatch'
55: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/thor-0.20.3/lib/thor/invocation.rb:126:in invoke_command'
54: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/thor-0.20.3/lib/thor/command.rb:27:in
run'
53: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/commands/server/server_command.rb:142:in perform'
52: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/commands/server/server_command.rb:142:in
tap'
51: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/commands/server/server_command.rb:147:in block in perform'
50: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/commands/server/server_command.rb:53:in
start'
49: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/rack-2.0.7/lib/rack/server.rb:283:in start'
48: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/rack-2.0.7/lib/rack/server.rb:354:in
wrapped_app'
47: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/commands/server/server_command.rb:27:in app'
46: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/rack-2.0.7/lib/rack/server.rb:219:in
app'
45: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/rack-2.0.7/lib/rack/server.rb:319:in build_app_and_options_from_config'
44: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/rack-2.0.7/lib/rack/builder.rb:40:in
parse_file'
43: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/rack-2.0.7/lib/rack/builder.rb:49:in new_from_string'
42: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/rack-2.0.7/lib/rack/builder.rb:49:in
eval'
41: from config.ru:in <main>'
40: from config.ru:in
new'
39: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/rack-2.0.7/lib/rack/builder.rb:55:in initialize'
38: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/rack-2.0.7/lib/rack/builder.rb:55:in
instance_eval'
37: from config.ru:3:in block in <main>'
36: from config.ru:3:in
require_relative'
35: from c:/ror/prolixe2019/config/environment.rb:5:in <top (required)>'
34: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/application.rb:361:in
initialize!'
33: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/initializable.rb:60:in run_initializers'
32: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/2.5.0/tsort.rb:205:in
tsort_each'
31: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/2.5.0/tsort.rb:226:in tsort_each'
30: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/2.5.0/tsort.rb:347:in
each_strongly_connected_component'
29: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/2.5.0/tsort.rb:347:in call'
28: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/2.5.0/tsort.rb:347:in
each'
27: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/2.5.0/tsort.rb:349:in block in each_strongly_connected_component'
26: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/2.5.0/tsort.rb:431:in
each_strongly_connected_component_from'
25: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/2.5.0/tsort.rb:350:in block (2 levels) in each_strongly_connected_component'
24: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/2.5.0/tsort.rb:228:in
block in tsort_each'
23: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/initializable.rb:61:in block in run_initializers'
22: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/initializable.rb:32:in
run'
21: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/initializable.rb:32:in instance_exec'
20: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/application/finisher.rb:69:in
block in module:Finisher'
19: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/application/finisher.rb:69:in each'
18: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/engine.rb:356:in
eager_load!'
17: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/engine.rb:475:in eager_load!'
16: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/engine.rb:475:in
each'
15: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/engine.rb:477:in block in eager_load!'
14: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/engine.rb:477:in
each'
13: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/railties-5.2.3/lib/rails/engine.rb:478:in block (2 levels) in eager_load!'
12: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:246:in
require_dependency'
11: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:334:in depend_on'
10: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:356:in
require_or_load'
9: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:37:in load_interlock'
8: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies/interlock.rb:13:in
loading'
7: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/concurrency/share_lock.rb:151:in exclusive'
6: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies/interlock.rb:14:in
block in loading'
5: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:37:in block in load_interlock'
4: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:378:in
block in require_or_load'
3: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:291:in require'
2: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:257:in
load_dependency'
1: from C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:291:in block in require'
C:/rubyinstaller-2.5.5-1-x64/lib/ruby/gems/2.5.0/gems/activesupport-5.2.3/lib/active_support/dependencies.rb:291:in
require': c:/ror/prolixe2019/app/controllers/users/passwords_controller.rb:1: syntax error, unexpected ':', expecting end-of-input (SyntaxError)
frozen_string_literal: true
^

Sur des forums ils disent que le problème viendrait de la gem bootsnap et qu'il suffit de changer de version, mais ça n'a pas résolu mon pb et là je tourne en rond depuis un moment juste pour lancer mon app en mode production :p

Si quelqu'un a une solution je suis preneur ;)
Merci !